This page was not yet optimized for use on mobile devices.
Apple corecrypto Module v11.1 [Apple silicon, Kernel, Software]
Certificate details
| Certificate ID | #4392 |
|---|---|
| Status | active |
| Validation dates | 07.12.2022 |
| Sunset date | 06-12-2027 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in approved mode |
| Exceptions |
|
| Description | The Apple corecrypto Kernel Space Module for Apple silicon is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest. |
| Tested configurations |
|
| Vendor | Apple Inc. http://www.apple.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-128, AES-256, AES, AES-, CAST5, CAST, RC4, RC2, DES, Triple-DES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-512Asymmetric Algorithms
ECDSA, EdDSA, ECIESHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5, RIPEMDSchemes
MAC, Key AgreementProtocols
IKEv2, IPsecRandomness
DRBGElliptic Curves
P-224, P-256, P-384, P-521, Curve P-192, curve P-192, P-192, Curve25519, Ed25519Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTrusted Execution Environments
SESecurity level
Level 1, level 1Standards
FIPS 140-3, FIPS PUB 140-3, FIPS 197, FIPS 186-4, FIPS 180-4, FIPS 198, FIPS186-4, FIPS140-3, FIPS180-4, FIPS197, FIPS198-1, NIST SP 800-140B, SP 800-38A, SP 800-38E, SP 800-38C, SP 800-38D, SP 800-38F, SP 800-133, SP 800-67, NIST SP 800-140F, SP 800-90A, NIST SP 800-90B, SP 800-140x, SP 800-140, SP 800-140A, SP 800-140B, SP 800-140C, SP 800-140D, SP 800-140E, SP 800-140F, PKCS#1, RFC6637, RFC 6637, RFC 4106, RFC 7296, RFC3394, RFC5649, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4392,
"dgst": "0f43d4158f76017e",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES-CFB128A946",
"AES-CTRA945",
"AES-GCMA943",
"ECDSA KeyVer (FIPS186-4)A942",
"#A943",
"AES-KWA945",
"HMAC DRBGA944",
"SHA2-224A942",
"AES-CFB8A945",
"#A946",
"HMAC-SHA2-224A942",
"SHA-1A942",
"RSA SigVer (FIPS186-4)A942",
"ECDSA KeyGen (FIPS186-4)A942",
"AES-ECBA946",
"#A944",
"SHA2-256A947",
"HMAC-SHA2-384A944",
"SHA2-384A944",
"SHA2-512/256A944",
"ECDSA SigVer (FIPS186-4)A942",
"#A942",
"HMAC-SHA2-512/256A944",
"HMAC-SHA-1A942",
"#A947",
"ECDSA SigGen (FIPS186-4)A942",
"AES-XTSA946",
"#A945",
"HMAC-SHA2-512A944",
"AES-OFBA946",
"HMAC-SHA2-256A947",
"AES-CBCA946",
"Counter DRBGA945",
"AES-CCMA943",
"SHA2-512A944",
"RSA SigGen (FIPS186-4)A942"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"11.1"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 31,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDSA": {
"ECDSA": 34
},
"ECIES": {
"ECIES": 3
},
"EdDSA": {
"EdDSA": 2
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 6
},
"CCM": {
"CCM": 3
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 6
},
"OFB": {
"OFB": 3
},
"XTS": {
"XTS": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKEv2": 2
},
"IPsec": {
"IPsec": 1
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 4
},
"MAC": {
"MAC": 4
}
},
"device_model": {},
"ecc_curve": {
"Curve": {
"Curve25519": 5
},
"Edwards": {
"Ed25519": 11
},
"NIST": {
"Curve P-192": 4,
"P-192": 13,
"P-224": 8,
"P-256": 10,
"P-384": 8,
"P-521": 8,
"curve P-192": 1
}
},
"eval_facility": {
"atsec": {
"atsec": 3
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES-128": 3,
"AES-256": 4,
"HMAC SHA-256": 1,
"HMAC-256": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-256": 6,
"HMAC-SHA-512": 2,
"HMAC-SHA256": 6,
"PKCS#1": 16,
"SHA-1": 7,
"SHA-224": 4,
"SHA-256": 13,
"SHA-384": 7,
"SHA-512": 9
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 7
},
"SHA2": {
"SHA-224": 4,
"SHA-256": 13,
"SHA-384": 7,
"SHA-512": 9
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 10
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 49,
"FIPS 180-4": 3,
"FIPS 186-4": 6,
"FIPS 197": 4,
"FIPS 198": 3,
"FIPS PUB 140-3": 2,
"FIPS140-3": 1,
"FIPS180-4": 1,
"FIPS186-4": 3,
"FIPS197": 1,
"FIPS198-1": 1
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"NIST SP 800-140B": 2,
"NIST SP 800-140F": 1,
"NIST SP 800-90B": 1,
"SP 800-133": 1,
"SP 800-140": 1,
"SP 800-140A": 1,
"SP 800-140B": 1,
"SP 800-140C": 1,
"SP 800-140D": 1,
"SP 800-140E": 1,
"SP 800-140F": 1,
"SP 800-140x": 1,
"SP 800-38A": 3,
"SP 800-38C": 1,
"SP 800-38D": 1,
"SP 800-38E": 1,
"SP 800-38F": 1,
"SP 800-67": 1,
"SP 800-90A": 4
},
"PKCS": {
"PKCS#1": 8
},
"RFC": {
"RFC 4106": 2,
"RFC 6637": 1,
"RFC 7296": 1,
"RFC3394": 1,
"RFC5649": 1,
"RFC6637": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 21,
"AES-": 3,
"AES-128": 3,
"AES-256": 4
},
"CAST": {
"CAST": 6,
"CAST5": 3
},
"RC": {
"RC2": 2,
"RC4": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 5
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"HMAC": 18,
"HMAC-SHA-256": 3,
"HMAC-SHA-512": 1
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
}
}
},
"tee_name": {
"IBM": {
"SE": 3
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES-CFB128A946",
"AES-CTRA945",
"AES-GCMA943",
"ECDSA KeyVer (FIPS186-4)A942",
"AES-KWA945",
"HMAC DRBGA944",
"SHA2-224A942",
"AES-CFB8A945",
"HMAC-SHA2-224A942",
"SHA-1A942",
"RSA SigVer (FIPS186-4)A942",
"ECDSA KeyGen (FIPS186-4)A942",
"AES-ECBA946",
"SHA2-256A947",
"HMAC-SHA2-384A944",
"SHA2-512/256A944",
"SHA2-384A944",
"ECDSA SigVer (FIPS186-4)A942",
"HMAC-SHA2-512/256A944",
"HMAC-SHA-1A942",
"ECDSA SigGen (FIPS186-4)A942",
"AES-XTSA946",
"HMAC-SHA2-512A944",
"AES-OFBA946",
"HMAC-SHA2-256A947",
"AES-CBCA946",
"Counter DRBGA945",
"AES-CCMA943",
"SHA2-512A944",
"RSA SigGen (FIPS186-4)A942"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A946",
"#A942",
"#A947",
"#A943",
"#A945",
"#A944"
]
},
"policy_metadata": {
"/CreationDate": "D:20221102214436Z00\u002700\u0027",
"/Creator": "Pages",
"/ModDate": "D:20221102214436Z00\u002700\u0027",
"/Producer": "macOS Version 11.5.2 (Build 20G95) Quartz PDFContext",
"/Title": "Apple_Inc_Security_Policy_CC11_for_ARM_Kernel_Space_Fiona",
"pdf_file_size_bytes": 1171169,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://support.apple.com/guide/security/welcome/web",
"http://csrc.nist.gov/publications/nistpubs/800-108/sp800-108.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-ig-announcements",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://csrc.nist.gov/publications/detail/sp/800-140a/final",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"http://www.ietf.org/rfc/rfc3447.txt",
"https://csrc.nist.gov/publications/detail/sp/800-140c/final",
"https://csrc.nist.gov/publications/detail/sp/800-140d/final",
"https://csrc.nist.gov/publications/detail/sp/800-140e/final",
"https://csrc.nist.gov/CSRC/media/Projects/cryptographic-module-validation-program/documents/fips%2520140-3/Draft%2520FIPS-140-3-CMVP%2520Management%2520Manual%252009-18-2020.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf",
"http://www.ietf.org/rfc/rfc5649.txt",
"https://support.apple.com/en-us/HT202739",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://developer.apple.com/macos/",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://doi.org/10.6028/NIST.FIPS.140-3",
"http://www.ietf.org/rfc/rfc3394.txt",
"https://support.apple.com/en-us/HT208390",
"https://support.apple.com/en-us/HT211006",
"https://csrc.nist.gov/publications/detail/sp/800-140b/final",
"https://support.apple.com/en-us/HT208389",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"https://support.apple.com/HT201159",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"https://manuals.info.apple.com/MANUALS/1000/MA1902/en_US/apple-platform-security-guide.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://csrc.nist.gov/Projects/cryptographic-module-validation-program/fips-140-3-standards",
"https://www.apple.com/legal/intellectual-property/trademark/appletmlist.html",
"https://csrc.nist.gov/publications/detail/sp/800-140f/final",
"https://csrc.nist.gov/publications/detail/sp/800-140/final",
"https://support.apple.com/en-us/HT208675"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 33
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "99defb9f03ac14bf10bf2a06fe85fa2bdc708547323041b8d5e7a32dd1978edd",
"source_hash": "ce569079b8a72928d57f55bd3fa9888fc0eb55aa6b1320eb3dd22238c3fa2899",
"txt_hash": "4ae7b7ba54bd3a1aa932394c7244f72d22d3fdb795248917e39369679a5e5a48"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in approved mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/December 2022_030123_0646_signed.pdf",
"date_sunset": "2027-12-06",
"description": "The Apple corecrypto Kernel Space Module for Apple silicon is a software cryptographic module running on a multi-chip standalone hardware device and provides services intended to protect data in transit and at rest.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Apple corecrypto Module v11.1 [Apple silicon, Kernel, Software]",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": "11.1",
"tested_conf": [
"iOS 14.2 running on iPhone 11 Pro with an Apple A Series A13 Bionic with PAA",
"iOS 14.2 running on iPhone 11 Pro with an Apple A Series A13 Bionic without PAA",
"iOS 14.2 running on iPhone 12 with an Apple A Series A14 Bionic with PAA",
"iOS 14.2 running on iPhone 12 with an Apple A Series A14 Bionic without PAA",
"iOS 14.2 running on iPhone 6S with an Apple A Series A9 with PAA",
"iOS 14.2 running on iPhone 6S with an Apple A Series A9 without PAA",
"iOS 14.2 running on iPhone 7 Plus with an Apple A Series A10 Fusion with PAA",
"iOS 14.2 running on iPhone 7 Plus with an Apple A Series A10 Fusion without PAA",
"iOS 14.2 running on iPhone X with an Apple A Series A11 Bionic with PAA",
"iOS 14.2 running on iPhone X with an Apple A Series A11 Bionic without PAA",
"iOS 14.2 running on iPhone XS Max with an Apple A Series A12 Bionic with PAA",
"iOS 14.2 running on iPhone XS Max with an Apple A Series A12 Bionic without PAA",
"iPadOS 14.2 running on iPad (5th generation) with an Apple A Series A9 with PAA",
"iPadOS 14.2 running on iPad (5th generation) with an Apple A Series A9 without PAA",
"iPadOS 14.2 running on iPad (7th generation) with an Apple A Series A10 Fusion with PAA",
"iPadOS 14.2 running on iPad (7th generation) with an Apple A Series A10 Fusion without PAA",
"iPadOS 14.2 running on iPad Air (4th generation) with an Apple A Series A14 Bionic with PAA",
"iPadOS 14.2 running on iPad Air (4th generation) with an Apple A Series A14 Bionic without PAA",
"iPadOS 14.2 running on iPad mini (5th generation) with an Apple A Series A12 Bionic with PAA",
"iPadOS 14.2 running on iPad mini (5th generation) with an Apple A Series A12 Bionic without PAA",
"iPadOS 14.2 running on iPad Pro 10.5 inch with an Apple A Series A10X Fusion with PAA",
"iPadOS 14.2 running on iPad Pro 10.5 inch with an Apple A Series A10X Fusion without PAA",
"iPadOS 14.2 running on iPad Pro 11in (2nd generation) with an Apple A Series A12Z Bionic with PAA",
"iPadOS 14.2 running on iPad Pro 11in (2nd generation) with an Apple A Series A12Z Bionic without PAA",
"iPadOS 14.2 running on iPad Pro 11-inch (1st generation) with an Apple A Series A12X Bionic with PAA",
"iPadOS 14.2 running on iPad Pro 11-inch (1st generation) with an Apple A Series A12X Bionic without PAA",
"iPadOS 14.2 running on iPad Pro 9.7-inch with an Apple A Series A9X with PAA",
"iPadOS 14.2 running on iPad Pro 9.7-inch with an Apple A Series A9X without PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Apple M Series M1 with PAA",
"macOS Big Sur 11.0.1 running on MacBook Air with an Apple M Series M1 without PAA",
"tvOS 14.2 running on Apple TV 4K with an Apple A Series A10X Fusion with PAA",
"tvOS 14.2 running on Apple TV 4K with an Apple A Series A10X Fusion without PAA",
"TxFW 11.0.1 running on Apple Security Chip T2 with an Apple T Series T2 with PAA",
"TxFW 11.0.1 running on Apple Security Chip T2 with an Apple T Series T2 without PAA",
"watchOS 7.1 running on Apple Watch Series S3 with an Apple S Series S3 with PAA",
"watchOS 7.1 running on Apple Watch Series S3 with an Apple S Series S3 without PAA",
"watchOS 7.1 running on Apple Watch Series S4 with an Apple S Series S4 with PAA",
"watchOS 7.1 running on Apple Watch Series S4 with an Apple S Series S4 without PAA",
"watchOS 7.1 running on Apple Watch Series S5 with an Apple S Series S5 with PAA",
"watchOS 7.1 running on Apple Watch Series S5 with an Apple S Series S5 without PAA",
"watchOS 7.1 running on Apple Watch Series S6 with an Apple S Series S6 with PAA",
"watchOS 7.1 running on Apple Watch Series S6 with an Apple S Series S6 without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-12-07",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Apple Inc.",
"vendor_url": "http://www.apple.com"
}
}